<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Simplecalc</title>

    <style>
        * {
            font-family: calibri;
            font-size: 1.1em;
            margin: 0;
            padding: 0;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        #calculator {
            display: grid;
            width: 100%;
            height: 100%;
            background: lightskyblue;
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
            grid-template-rows: 1fr 1fr 1fr 1fr;
            grid-template-areas: 
                "number-1-label number-1-label number-1-input number-1-input number-1-input"
                "number-2-label number-2-label number-2-input number-2-input number-2-input"
                "operator-plus operator-minus operator-multiply operator-divide clear"
                "result result result result result"
            ;
        }

        #calculator > div {
            display: flex;
            justify-content: center;
            align-items: center;
            border: 1px solid black;
           
        }

        #number-1-label {
            grid-area: number-1-label;
        }

        #number-1-input {
            grid-area: number-1-input;
        }

        #number-2-label {
            grid-area: number-2-label;
        }

        #number-2-input {
            grid-area: number-2-input;
        }
        #operator-plus {
            grid-area: operator-plus;
            cursor: pointer;
        }
             
        #operator-minus {
            grid-area: operator-minus;
        }

        #operator-divide {
            grid-area: operator-divide;
        }
        #operator-multiply {
            grid-area: operator-multiply;
        }

        #operator-clear {
            grid-area: operator-multiply;
        }

        #result {
            grid-area: result;
            background: white;
        }
        
        .calculator-button {
            cursor: pointer;
        }

        .calculator-button:hover{
            cursor: pointer;
            background: burlywood;
        }

        input {
            color: black;
            
        }
        

    </style>

</head>

<body>
    <div id="calculator">
        <div id="number-1-label">Number 1:</div>
        <div id="number-1-input">
            <input type="text" id="number1">
        </div>
        <div id="number-2-label">Number 2:</div>
        <div id="number-2-input">
            <input type="text" id="number2"></div>
        <div class="calculator-button" id="operator-plus" onclick="addUp()">+</div>
        <div class="calculator-button" id="operator-minus" onclick="votaMaha()">-</div>
        <div class="calculator-button" id="operator-multiply" onclick="korruta()">X</div>
        <div class="calculator-button" id="operator-divide" onclick="jagaAra()">/</div>
        <div class="calculator-button" id="clear" onclick="clearNumbers()">C</div>
        <div id="result">RESULT</div>


    </div>

    <script>

        function addUp(){
            let number1 = +document.querySelector('#number-1-input>input').value;
            let number2 = +document.querySelector('#number-2-input>input').value;
            let sum = number1 + number2;
            document.querySelector('#result').innerText = sum;
        }

        function votaMaha(){
            let number1 = +document.querySelector('#number-1-input>input').value;
            let number2 = +document.querySelector('#number-2-input>input').value;
            let sum = number1 - number2;
            document.querySelector('#result').innerText = sum;
        }

        function korruta(){
            let number1 = +document.querySelector('#number-1-input>input').value;
            let number2 = +document.querySelector('#number-2-input>input').value;
            let sum = number1 * number2;
            document.querySelector('#result').innerText = sum;
        }

        function jagaAra(){
            let number1 = +document.querySelector('#number-1-input>input').value;
            let number2 = +document.querySelector('#number-2-input>input').value;
            let sum = number1 / number2;
            document.querySelector('#result').innerText = sum;
        }

        function clearNumbers(){
            document.querySelector('#number-1-input>input').value = "";
            document.querySelector('#number-2-input>input').value = "";
            document.querySelector('#result').innerText = "";

        }

        //saab ka
        //const getNum1 = () => +document.querySelector('number-1-input>input').value;
        //const getNum2 = () => +document.querySelector('number-2-input>input').value;
        //const addUp = () => document.querySelector('#result').innerText = getNum1() + getNum2();
        //jne 


      

    </script>


</body>

</html>